Skip to main content
GET
Retrieve a refill configuration.

Authorizations

x-api-key
string
header
required

LedgerUp API Key.

Path Parameters

account_id
string
required

Account identifier. LedgerUp account identifier.

Pattern: ^account_[0-9a-f]{32}$
Example:

"account_0194f4e3a2b77c6aa91c4f6b4db2a980"

metric_id
string
required

Metric identifier. LedgerUp metric identifier.

Pattern: ^metric_[0-9a-f]{32}$
Example:

"metric_0194f4e3a2b77c6aa91c4f6b4db2a980"

Response

Resource found.

account_id
string
required

LedgerUp account identifier.

Pattern: ^account_[0-9a-f]{32}$
Example:

"account_0194f4e3a2b77c6aa91c4f6b4db2a980"

metric_id
string
required

LedgerUp metric identifier.

Pattern: ^metric_[0-9a-f]{32}$
Example:

"metric_0194f4e3a2b77c6aa91c4f6b4db2a980"

minimum_balance
string
required

Decimal balance serialized as a string.

Pattern: ^-?\d+(\.\d+)?$
Example:

"100.0"

target_balance
string
required

Decimal balance serialized as a string.

Pattern: ^-?\d+(\.\d+)?$
Example:

"100.0"

is_active
boolean
required

Whether automatic refills are enabled.

Example:

true

created_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600

updated_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600